#ifndef PROCESSDIALOG_H
#define PROCESSDIALOG_H

#include <QDialog>
#include <QMovie>
#include <QTimer>

namespace Ui {
class ProcessDialog;
}

class LotroManager;

class LotroProcessDialog : public QDialog
{
    Q_OBJECT

public:
    explicit LotroProcessDialog(LotroManager* mgr, QWidget *parent = 0);
    ~LotroProcessDialog();

protected:
    void mouseMoveEvent(QMouseEvent *event) override;
    void mousePressEvent(QMouseEvent *event) override;

public slots:
    void updateUI();

private:
    Ui::ProcessDialog *ui;
    QMovie loader;

    LotroManager* lotro_manager;
    QPoint dragPosition;
    QTimer uiUpdateTimer;
};

#endif // PROCESSDIALOG_H
